import { $post, $postParam, qsRepeatParams } from "@/plugins/axios";

// user-manage
export const userListPage = (datas) => {
  return $postParam("/api/admin/user/query", datas);
};
export const userRoleList = (datas) => {
  return $postParam("/api/admin/user/roles", datas);
};
export const userListQuery = (datas) => {
  return $postParam("/api/admin/user/list", datas);
};
export const resetPwd = (password) => {
  return $postParam("/api/admin/user/change_password", { password });
};
export const userInsertOrUpdate = (datas) => {
  const url = datas.id ? "/api/admin/user/update" : "/api/admin/user/insert";
  return $postParam(url, datas, {
    paramsSerializer: qsRepeatParams,
  });
};
export const userPermissionQuery = (userId) => {
  return $postParam("/api/admin/user/permission/query", { userId });
};
export const userPermissionSave = (datas) => {
  return $post("/api/admin/user/permission/save", datas);
};
